### Function

# Gck UriData parse

#### Declaration [src]

    GckUriData*
    gck_uri_data_parse (
      const gchar* string,
      GckUriFlags flags,
      GError** error
    )

#### Description [src]

Parse a PKCS#11 URI for use in a given context.

The result will contain the fields that are relevant for the given context. See `GckUriData` for more info. Other fields will be set to `NULL`.

#### Parameters

`string`

  Type: `const gchar*`

  The URI to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GckUriFlags`

  The context in which the URI will be used.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckUriData`

A newly allocated `GckUriData`; which should be freed with `gck_uri_data_free()`

The caller of the function takes ownership of the data, and is responsible for freeing it.